<?php

/**
 * Plugin 'Simplified Social Share' for the 'simplified_social_share' extension.
 *
 * @author	LoginRadius <hello@loginradius.com>
 * @package	TYPO3
 * @subpackage	simplified_social_share
 */
class tx_simplifiedsocialsharehorizontal_pi1 extends \TYPO3\CMS\Frontend\Plugin\AbstractPlugin {

    var $prefixId = 'tx_simplifiedsocialsharehorizontal_pi1';  // Same as class name
    var $scriptRelPath = 'pi1/class.tx_simplifiedsocialsharehorizontal_pi1.php'; // Path to this script relative to the extension dir.
    var $extKey = 'simplified_social_share'; // The extension key.
    var $pi_checkCHash = true;

    function main($content, $conf) {
        $setting = isset($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['simplified_social_share']) ? unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['simplified_social_share']) : '';
        $GLOBALS['TSFE']->additionalFooterData[$this->extKey] = isset($GLOBALS['TSFE']->additionalFooterData[$this->extKey]) ? $GLOBALS['TSFE']->additionalFooterData[$this->extKey] : '<script type="text/javascript">var islrsharing = true; var islrsocialcounter = true;</script><script src="//sharecdn.social9.com/v1/social9.min.js"></script>';
        if (isset($setting['HorizontalSharingEnable']) && $setting['HorizontalSharingEnable'] == '1') {
            $GLOBALS['TSFE']->additionalFooterData[$this->extKey] .= $this->horizontal_social_share_script($setting);
            $content .= '<div class="lrsharecontainer"></div>';
        }
        return $this->pi_wrapInBaseClass($content);
    }

    function get_social_share_provider($settings) {
        $provider = array();
        if (empty($settings['HorizontalSharingRearrange'])) {
            $provider = array("Facebook", "GooglePlus", "LinkedIn", "Twitter", "Pinterest");
        } else {
            $provider = preg_split('/\s*,\s*/', trim($settings['HorizontalSharingRearrange']));
        }
        return json_encode($provider);
    }

    function get_social_counter_provider($settings) {
        $provider = array();
        if (empty($settings['HorizontalSharingRearrange'])) {
            $provider = array("Facebook Like", "LinkedIn Share", "Google+ +1", "Pinterest Pin it", "Hybridshare");
        } else {
            $provider = preg_split('/\s*,\s*/', trim($settings['HorizontalSharingRearrange']));
        }
        return json_encode($provider);
    }

    function horizontal_social_share_script($settings) {
        switch ($settings['HorizontalSharingTheme']) {
            case 0:
                $size = '32';
                $interface = 'horizontal';
                break;
            case 1:
                $size = '16';
                $interface = 'horizontal';
                break;
            case 6:
                $size = '32';
                $interface = 'responsive';
                break;
            case 2:
                $size = '32';
                $interface = 'simpleimage';
                break;
            case 3:
                $size = '16';
                $interface = 'simpleimage';
                break;
            case 4:
                $is_horizontal = 'true';
                $interface = 'horizontal';
                break;
            case 5:
                $is_horizontal = 'true';
                $interface = 'vertical';
                break;
        }

        if (isset($size) && !empty($size)) {
            $horizontal_script = 'LoginRadius.util.ready(function () {$i = $SS.Interface.' . $interface . '; $SS.Providers.Top = ' . $this->get_social_share_provider($settings) . '; $u = LoginRadius.user_settings; $u.sharecounttype = \'url\';';
            $horizontal_script .= '$i.size = ' . $size . ';$i.show("lrsharecontainer"); });';
        } else if (isset($is_horizontal) && !empty($is_horizontal)) {
            $horizontal_script = 'LoginRadius.util.ready(function () { $SC.Providers.Selected = ' . $this->get_social_counter_provider($settings) . '; $S = $SC.Interface.simple; $S.isHorizontal = ' . $is_horizontal . '; $S.countertype = "' . $interface . '"; $S.show("lrsharecontainer"); });';
        }

        return '<script type="text/javascript">if(typeof LoginRadius != "undefined"){' . $horizontal_script . '}</script>';
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/simplified_social_share/pi1/class.tx_simplifiedsocialsharehorizontal_pi1.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/simplified_social_share/pi1/class.tx_simplifiedsocialsharehorizontal_pi1.php']);
}