<?php

/**
 * Plugin 'Simplified Social Share' for the 'simplified_social_share' extension.
 *
 *
 * @author	LoginRadius <hello@loginradius.com>
 * @package	TYPO3
 * @subpackage	simplified_social_share
 */
class tx_simplifiedsocialsharevertical_pi1 extends \TYPO3\CMS\Frontend\Plugin\AbstractPlugin {

    var $prefixId = 'tx_simplifiedsocialsharevertical_pi1';  // Same as class name
    var $scriptRelPath = 'pi1/class.tx_simplifiedsocialsharevertical_pi1.php'; // Path to this script relative to the extension dir.
    var $extKey = 'simplified_social_share'; // The extension key.
    var $pi_checkCHash = true;

    /**
     * The main method of the PlugIn
     *
     * @param	string		$content: The PlugIn content
     * @param	array		$conf: The PlugIn configuration
     * @return	The content that is displayed on the website
     */
    function main($content, $conf) {
        $setting = isset($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['simplified_social_share'])?unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['simplified_social_share']):'';
        $GLOBALS['TSFE']->additionalFooterData[$this->extKey]=isset($GLOBALS['TSFE']->additionalFooterData[$this->extKey])?$GLOBALS['TSFE']->additionalFooterData[$this->extKey]:'<script type="text/javascript">var islrsharing = true; var islrsocialcounter = true;</script><script src="//sharecdn.social9.com/v1/social9.min.js"></script>';
        if(isset($setting['VerticalSharingEnable']) && $setting['VerticalSharingEnable']=='1'){
            $GLOBALS['TSFE']->additionalFooterData[$this->extKey] .= $this->vertical_social_share_script($setting);
            $content .= '<div class="lrverticalsharecontainer"></div>';
        }
        return $this->pi_wrapInBaseClass($content);
    }

    function get_social_share_provider($settings){
        $provider = array();
        if(empty($settings['VerticalSharingRearrange'])){
            $provider = array("Facebook","GooglePlus","LinkedIn","Twitter","Pinterest");
        }else{
            $provider = preg_split('/\s*,\s*/', trim($settings['VerticalSharingRearrange']));
        }
        return json_encode($provider);
    }
    function get_social_counter_provider($settings){
        $provider = array();
        if(empty($settings['VerticalSharingRearrange'])){
            $provider = array("Facebook Like","LinkedIn Share","Google+ +1","Pinterest Pin it","Hybridshare");
        }else{
            $provider = preg_split('/\s*,\s*/', trim($settings['VerticalSharingRearrange']));
        }
        return json_encode($provider);
    }
    function vertical_social_share_script($settings) {
        switch ($settings['VerticalSharingTheme']) {
            case 0:
                $size = '32';
                $vertical_theme = 'Simplefloat';
                break;
            case 1:
                $size = '16';
                $vertical_theme = 'Simplefloat';
                break;
            case 2:
                $is_vertical = 'false';
                $vertical_theme = 'vertical';
                break;
            case 3:
                $is_vertical = 'false';
                $vertical_theme = 'horizontal';
                break;
        }

        switch ($settings['VerticalSharingPosition']) {
            case 0:
                $vertical_share_top = $vertical_share_left = '0px';
                $vertical_share_right = $vertical_share_bottom = '';
                break;
            case 1:
                $vertical_share_top = $vertical_share_right = '0px';
                $vertical_share_bottom = $vertical_share_left = '';
                break;
            case 2:
                $vertical_share_top = $vertical_share_bottom = $vertical_share_left = '0px';
                $vertical_share_right = '';
                break;
            case 3:
                $vertical_share_top = $vertical_share_right = $vertical_share_bottom = '0px';
                $vertical_share_left = '';
                break;
            default:
                $vertical_share_top = '0px';
                $vertical_share_right = $vertical_share_bottom = $vertical_share_left = '';
        }
        if (isset($size) && !empty($size)) {
            $vertical_script = 'LoginRadius.util.ready(function () {$i = $SS.Interface.' . $vertical_theme . '; $SS.Providers.Top = ' . $this->get_social_share_provider($settings) . '; $u = LoginRadius.user_settings;';
            $vertical_script .= '$i.size = ' . $size . ';$i.left = "' . $vertical_share_left . '"; $i.top = "' . $vertical_share_top . '";$i.right = "' . $vertical_share_right . '";$i.bottom = "' . $vertical_share_bottom . '"; $i.show("lrverticalsharecontainer"); });';
        } else if (isset($is_vertical) && !empty($is_vertical)) {
            $vertical_script = 'LoginRadius.util.ready(function () { $SC.Providers.Selected = ' . $this->get_social_counter_provider($settings) . '; $S = $SC.Interface.simple; $S.isHorizontal = ' . $is_vertical . '; $S.countertype = "' . $vertical_theme . '"; $S.left = "' . $vertical_share_left . '"; $S.top = "' . $vertical_share_top . '";$S.right = "' . $vertical_share_right . '";$S.bottom = "' . $vertical_share_bottom . '"; $S.show("lrverticalsharecontainer"); });';
        }

        return '<script type="text/javascript">if(typeof LoginRadius != "undefined"){' . $vertical_script . '}</script>';
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/simplified_social_share/pi1/class.tx_simplifiedsocialsharevertical_pi1.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/simplified_social_share/pi1/class.tx_simplifiedsocialsharevertical_pi1.php']);
}