<?php

/**
 * Class that adds the wizard icon.
 *
 * @author	LoginRadius <hello@loginradius.com>
 * @package	TYPO3
 * @subpackage	simplified_social_share
 */
class tx_simplifiedsocialsharevertical_pi1_wizicon {

    /**
     * Processing the wizard items array
     *
     * @param	array		$wizardItems: The wizard items
     * @return	Modified array with wizard items
     */
    function proc($wizardItems) {
        global $LANG;

        $LL = $this->includeLocalLang();
        $wizardItems['plugins_tx_simplifiedsocialsharevertical_pi1'] = array(
            'icon' => TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('simplified_social_share') . 'ext_icon.gif',
            'title' => $LANG->getLLL('simplifiedsocialshare_vertical_title', $LL),
            'description' => $LANG->getLLL('simplifiedsocialshare_vertical_description', $LL),
            'params' => '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=simplified_social_sharevertical_pi1'
        );
        return $wizardItems;
    }

    /**
     * Reads the [extDir]/language/locallang.xml and returns the $LOCAL_LANG array found in that file.
     *
     * @return	The array with language labels
     */
    function includeLocalLang() {
        $llFile = TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('simplified_social_share') . 'language/locallang.xml';
        $version = class_exists('\TYPO3\CMS\Core\Utility\VersionNumberUtility') ? \TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version) : t3lib_div::int_from_ver(TYPO3_version);
        if ($version >= 4007000) {
            $LOCAL_LANG = \TYPO3\CMS\Core\Utility\GeneralUtility::readLLfile($llFile, $GLOBALS['LANG']->lang);
        } else {
            $LOCAL_LANG = t3lib_div::readLLXMLfile($llFile, $GLOBALS['LANG']->lang);
        }

        return $LOCAL_LANG;
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/simplified_social_share/pi1/class.tx_simplifiedsocialsharevertical_pi1_wizicon.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/simplified_social_share/pi1/class.tx_simplifiedsocialsharevertical_pi1_wizicon.php']);
}